# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
    config.vm.box = "generic/ubuntu1804"
    config.vm.network "private_network", ip: "192.168.33.10"
    config.vm.network :forwarded_port, guest: 8080, host: 8080
    config.vm.network :forwarded_port, guest: 4444, host: 4444

    config.vm.provider "virtualbox" do |vb|
        vb.cpus = 4
        vb.memory = "4096"
    end

    config.vm.provision "shell", inline: <<-SHELL
        curl -fsSL get.docker.com -o get-docker.sh
        sh get-docker.sh
        usermod -aG docker vagrant
    SHELL
end